[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# DosExitCode

Exit code of last executed program.

## Declaration

Source position: dosh.inc line 104

`function DosExitCode: Word;`

## Description

DosExitCode contains (in the low byte) the exit-code of a program executed with the Exec call.

## Errors

None.

## See also

Exec |  | Execute another program, and wait for it to finish.

## Example

    Program Example5;
    uses Dos;

    { Program to demonstrate the Exec and DosExitCode function. }

    begin
    {$IFDEF Unix}
      WriteLn('Executing /bin/ls -la');
      Exec('/bin/ls','-la');
    {$ELSE}
      WriteLn('Executing Dir');
      Exec(GetEnv('COMSPEC'),'/C dir');
    {$ENDIF}
      WriteLn('Program returned with ExitCode ',Lo(DosExitCode));
    end.

Documentation generated on: Feb 26 2014